package com.ejie.u74a.model;

/**
 * Clase que representa un idioma de la aplicación.
 * 
 *  
 */
public class catalogoGeneral {

	private Integer id;
	private String tipo;
	private String material;
	private String idioma;
	private String tema;
	private Integer stock;
	private Integer minimo;

	/**
	 * Obtiene el campo id
	 * 
	 * @return id
	 */
	public Integer getId() {
		return this.id;
	}

	/**
	 * Establece el campo id
	 * 
	 * @param id id
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * Obtiene el campo tipo
	 * 
	 * @return tipo
	 */
	public String getTipo() {
		return this.tipo;
	}

	/**
	 * Establece el campo tipo
	 * 
	 * @param tipo tipo
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}

	/**
	 * Obtiene el campo material
	 * 
	 * @return material
	 */
	public String getMaterial() {
		return this.material;
	}

	/**
	 * Establece el campo material
	 * 
	 * @param material material
	 */
	public void setMaterial(String material) {
		this.material = material;
	}

	/**
	 * Obtiene el campo idioma
	 * 
	 * @return idioma
	 */
	public String getIdioma() {
		return this.idioma;
	}

	/**
	 * Establece el campo idioma
	 * 
	 * @param idioma idioma
	 */
	public void setIdioma(String idioma) {
		this.idioma = idioma;
	}

	/**
	 * Obtiene el campo tema
	 * 
	 * @return tema
	 */
	public String getTema() {
		return this.tema;
	}

	/**
	 * Establece el campo tema
	 * 
	 * @param tema tema
	 */
	public void setTema(String tema) {
		this.tema = tema;
	}

	/**
	 * Obtiene el campo stock
	 * 
	 * @return stock
	 */
	public Integer getStock() {
		return this.stock;
	}

	/**
	 * Establece el campo stock
	 * 
	 * @param stock stock
	 */
	public void setStock(Integer stock) {
		this.stock = stock;
	}

	/**
	 * Obtiene el campo minimo
	 * 
	 * @return minimo
	 */
	public Integer getMinimo() {
		return this.minimo;
	}

	/**
	 * Establece el campo minimo
	 * 
	 * @param minimo minimo
	 */
	public void setMinimo(Integer minimo) {
		this.minimo = minimo;
	}

}
